export type SegmentElement = [number, number, any?];

export type SegmentSerie = {
  color: string;
  data: SegmentElement[] // [from, to, payload?] payload is any data for tooltip,
  select?: boolean,
  opacity?: number,
  opacitySelect?: number,
  onSelect?: (SegmentElement) => void
  onUnselect?: (SegmentElement) => void
}